version: '3.9'
services:
    db:
        image: mysql:8.0
        restart: always
        ports:
            - "3308:3306"
        environment:
            MYSQL_DATABASE: 'loaner'
            #MYSQL_ALLOW_EMPTY_PASSWORD: 1
            MYSQL_ROOT_PASSWORD: 'root'

    app:
        build:
            context: .
            dockerfile: ./docker/Dockerfile
        image: 'loaner'
        ports:
            - "8080:80"
        volumes:
            - ./:/var/www/html
    redis:
        image: redis:6.2
        command: redis-server --appendonly yes --requirepass "${REDIS_PASSWORD}"
        volumes:
            - ./data/redis:/data
        ports:
            - "8002:6379"
